/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef TIPS_H
#define TIPS_H

#include <QWidget>

namespace Ui {
class tips;
}

class tips : public QWidget
{
    Q_OBJECT
signals:
    void success(QString);
    void fail(QString);
    void checked(bool);
public:
    explicit tips(QWidget *parent = nullptr);
    ~tips();
public slots:
    void information(QString, bool next = false);
    void error(QString, bool next = false);
    void question(QString, bool next = false);
private slots:
    void slotsSuccess(QString);
    void slotsFailed(QString);
private:
    Ui::tips *ui;
};

#endif // TIPS_H
